<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>TermsAggregation</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TermsAggregation";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?aggregations/bucketaggs/TermsAggregation.html" target="_top">Frames</a></li>
<li><a href="TermsAggregation.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.aggregations.AggregationType">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">aggregations.bucketaggs</div>
<h2 title="Class TermsAggregation" class="title">Class TermsAggregation</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../aggregations/AggregationType.html" title="class in aggregations">aggregations.AggregationType</a></li>
<li>
<ul class="inheritance">
<li>aggregations.bucketaggs.TermsAggregation</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">TermsAggregation</span>
extends <a href="../../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></pre>
<div class="block">Represents the ES terms aggregation</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.aggregations.AggregationType">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;aggregations.<a href="../../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></h3>
<code><a href="../../aggregations/AggregationType.html#aggregationBuilder">aggregationBuilder</a>, <a href="../../aggregations/AggregationType.html#field">field</a>, <a href="../../aggregations/AggregationType.html#key">key</a>, <a href="../../aggregations/AggregationType.html#type">type</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../aggregations/bucketaggs/TermsAggregation.html#TermsAggregation--">TermsAggregation</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../aggregations/bucketaggs/TermsAggregation.html#TermsAggregation-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.List-int-long-java.lang.String:A-java.lang.String:A-boolean-aggregations.bucketaggs.AggsBucketOrder-">TermsAggregation</a></span>(java.lang.String&nbsp;type,
                java.lang.String&nbsp;key,
                java.lang.String&nbsp;field,
                java.lang.String&nbsp;missing,
                java.util.List&lt;<a href="../../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a>&gt;&nbsp;aggs,
                int&nbsp;size,
                long&nbsp;min_doc_count,
                java.lang.String[]&nbsp;include,
                java.lang.String[]&nbsp;exclude,
                boolean&nbsp;show_term_doc_count_error,
                <a href="../../aggregations/bucketaggs/AggsBucketOrder.html" title="class in aggregations.bucketaggs">AggsBucketOrder</a>&nbsp;order)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.elasticsearch.search.aggregations.AggregationBuilder</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../aggregations/bucketaggs/TermsAggregation.html#buildAggregation--">buildAggregation</a></span>()</code>
<div class="block">Builds and return an aggregation with the provided fields.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.aggregations.AggregationType">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;aggregations.<a href="../../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></h3>
<code><a href="../../aggregations/AggregationType.html#setType-java.lang.String-">setType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TermsAggregation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TermsAggregation</h4>
<pre>public&nbsp;TermsAggregation()</pre>
</li>
</ul>
<a name="TermsAggregation-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.List-int-long-java.lang.String:A-java.lang.String:A-boolean-aggregations.bucketaggs.AggsBucketOrder-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TermsAggregation</h4>
<pre>public&nbsp;TermsAggregation(java.lang.String&nbsp;type,
                        java.lang.String&nbsp;key,
                        java.lang.String&nbsp;field,
                        java.lang.String&nbsp;missing,
                        java.util.List&lt;<a href="../../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a>&gt;&nbsp;aggs,
                        int&nbsp;size,
                        long&nbsp;min_doc_count,
                        java.lang.String[]&nbsp;include,
                        java.lang.String[]&nbsp;exclude,
                        boolean&nbsp;show_term_doc_count_error,
                        <a href="../../aggregations/bucketaggs/AggsBucketOrder.html" title="class in aggregations.bucketaggs">AggsBucketOrder</a>&nbsp;order)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="buildAggregation--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>buildAggregation</h4>
<pre>public&nbsp;org.elasticsearch.search.aggregations.AggregationBuilder&nbsp;buildAggregation()
                                                                          throws <a href="../../aggregations/AggregationException.html" title="class in aggregations">AggregationException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../aggregations/AggregationType.html#buildAggregation--">AggregationType</a></code></span></div>
<div class="block">Builds and return an aggregation with the provided fields.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../aggregations/AggregationType.html#buildAggregation--">buildAggregation</a></code>&nbsp;in class&nbsp;<code><a href="../../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the ES aggregation object representing this object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../aggregations/AggregationException.html" title="class in aggregations">AggregationException</a></code> - if the aggregation is not valid.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?aggregations/bucketaggs/TermsAggregation.html" target="_top">Frames</a></li>
<li><a href="TermsAggregation.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.aggregations.AggregationType">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
